## mp3gain 1.4.3

=== Makefile ===
#
# Quick 'n dirty unix Makefile
#
# Mike Oliphant (oliphant@gtk.org)
#

CC=     gcc

CFLAGS= -Wall

ifneq ($(OSTYPE),beos)
INSTALL_PATH= /usr/local/bin
else
INSTALL_PATH= $(HOME)/config/bin
endif

# BeOS doesn't have libm (it's all in libroot)
ifneq ($(OSTYPE),beos)
LIBS= -lm
else
# BeOS: without this it wants to use bcopy() :^)
CFLAGS+= -DHAVE_MEMCPY
endif

OBJS=	mp3gain.o apetag.o gain_analysis.o rg_error.o \
	mpglibDBL/common.o mpglibDBL/dct64_i386.o \
	mpglibDBL/decode_i386.o mpglibDBL/interface.o \
	mpglibDBL/layer3.o mpglibDBL/tabinit.o

mp3gain: $(OBJS)
	$(CC) -o mp3gain $(OBJS) $(LIBS)
ifeq ($(OSTYPE),beos)
	mimeset -f mp3gain
endif

install:
	cp -p mp3gain "$(INSTALL_PATH)"
ifeq ($(OSTYPE),beos)
	mimeset -f "$(INSTALL_PATH)/mp3gain"
endif

clean: 
	-rm -rf mp3gain *.o mpglibDBL/*.o

## mp3gain 1.4.6

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 CC=     gcc
 
-CFLAGS= -Wall
+CFLAGS= -Wall -O3 -DHAVE_MEMCPY
 
 ifneq ($(OSTYPE),beos)
 INSTALL_PATH= /usr/local/bin
@@ -27,6 +27,8 @@
 	mpglibDBL/decode_i386.o mpglibDBL/interface.o \
 	mpglibDBL/layer3.o mpglibDBL/tabinit.o
 
+all: mp3gain
+
 mp3gain: $(OBJS)
 	$(CC) -o mp3gain $(OBJS) $(LIBS)
 ifeq ($(OSTYPE),beos)

## mp3gain 1.4.6-8maemo1

=== debian/changelog ===
mp3gain (1.4.6-8maemo1) unstable; urgency=medium

  * Debhelper 5 as dependence for Maemo 4 Diablo.
  * dh_clean -k instead of dh_prep.
  * Not install man files.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Wed,  3 Jun 2009 20:11:58 +0200

mp3gain (1.4.6-8) unstable; urgency=medium

  * Rebuild with non-buggy gcc. This fixes mp3gain giving wrong results on
    i386 (closes: #519949).
  * Fix lintian warnings:
    - Bump standards version:
      + Add homepage to debian/control.
      + Add README.source.
    - Use UTF8 for debian/copyright.
    - Switch to debhelper compatibility level 7.

 -- Stefan Fritsch <sf@debian.org>  Mon, 23 Mar 2009 11:51:58 +0100

mp3gain (1.4.6-7) unstable; urgency=low

  * Fix another segfault with not-writable files (Closes: #444373)

 -- Stefan Fritsch <sf@debian.org>  Sat, 29 Sep 2007 11:18:21 +0200

mp3gain (1.4.6-6) unstable; urgency=low

  * fix exit code on error in some more cases (hopefully all, closes: #433757)
  * fix handling of DEB_BUILD_OPTIONS

 -- Stefan Fritsch <sf@debian.org>  Sat, 28 Jul 2007 22:33:23 +0200

mp3gain (1.4.6-5) unstable; urgency=low

  * Change build system to dpatch.
  * Assume 'n' on queries if we don't have stdin (Closes: #428301)
  * Fix typo in man page (Closes: #428703)

 -- Stefan Fritsch <sf@debian.org>  Sun, 17 Jun 2007 17:05:22 +0200

mp3gain (1.4.6-4) unstable; urgency=low

  * Modify description to mention replaygain (Closes: #411321)
  * Change maintainer email address

 -- Stefan Fritsch <sf@debian.org>  Thu, 15 Mar 2007 00:01:26 +0100

mp3gain (1.4.6-3) unstable; urgency=low

  * fix path to README.method in manpage (closes: #368679)
  * bump standards version to 3.7.2 (no changes)

 -- Stefan Fritsch <sf@sfritsch.de>  Sat,  9 Sep 2006 17:05:33 +0200

mp3gain (1.4.6-2) unstable; urgency=low

  * Fix segfault if unable to write files (thanks to Michael Thaler for
    the report).
  * Clarify man page (thanks to Jameson C. Burt).
  * Add shiny new watch file using QA's sourceforge redirector.
  * Bump up standards version (no changes needed).

 -- Stefan Fritsch <sf@sfritsch.de>  Sat,  1 Oct 2005 00:04:01 +0200

mp3gain (1.4.6-1) unstable; urgency=low

  * New upstream release
  * Closes: #284802: Segfaults on 48khz mp3 files
  * Remove broken watch file

 -- Stefan Fritsch <sf@sfritsch.de>  Wed, 12 Jan 2005 12:03:18 +0100

mp3gain (1.4.5-1) unstable; urgency=low

  * New upstream release
  * Add note about method. Closes: #269759

 -- Stefan Fritsch <sf@sfritsch.de>  Fri,  5 Nov 2004 19:37:22 +0100

mp3gain (1.4.3-2) unstable; urgency=low

  * Add watch file.
  * Make -t the default since it is faster on ReiserFS.
  * Closes: #264596: mp3gain does exit(1) upon success
    (thanks to Roderick Schertler)
  * Change maintainer email

 -- Stefan Fritsch <sf@sfritsch.de>  Tue, 10 Aug 2004 11:24:43 +0200

mp3gain (1.4.3-1) unstable; urgency=low

  * Fixed copyright information.
  * Initial Upload sponsored by Joachim Breitner; Closes: #241748: ITP

 -- Stefan Fritsch <sfritsch@ph.tum.de>  Thu, 15 Apr 2004 23:12:05 +0200

=== debian/control ===
Source: mp3gain
Section: sound
Priority: optional
Maintainer: Stefan Fritsch <sf@debian.org>
Build-Depends: debhelper (>= 5.0.0), docbook-to-man, dpatch
Homepage: http://mp3gain.sourceforge.net/
Standards-Version: 3.8.1

Package: mp3gain
Architecture: any
Depends: ${shlibs:Depends}
Description: Lossless mp3 normalizer with statistical analysis
 MP3Gain analyzes and adjusts mp3 files so that they have the same volume.
 MP3Gain does not just do peak normalization, as many normalizers do. Instead,
 it does some statistical analysis (using the replaygain algorithm) to
 determine how loud the file actually sounds to the human ear.
 .
 MP3Gain can adjust the volume in a completely lossless way by modifying the
 mp3 file directly, without decoding and re-encoding. This works with all mp3
 players, i.e. no support for a special tag is required.
 .
 MP3Gain can also add replaygain compatible tags to mp3 files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make


CFLAGS = -Wall -g
export CFLAGS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif



build: build-stamp

build-stamp: patch
	dh_testdir

	$(MAKE)
	docbook-to-man  debian/mp3gain.sgml > debian/mp3gain.1

	touch build-stamp

clean: clean-patched unpatch

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	rm -f debian/mp3gain.1

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/mp3gain


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs debian/README.method
	#dh_installman debian/mp3gain.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mp3gain 1.5.2

=== Makefile ===
#
# Quick 'n dirty unix Makefile
#
# Mike Oliphant (oliphant@gtk.org)
#

CC = gcc

CFLAGS+= -Wall -DHAVE_MEMCPY

# all known MS Windows OS define the ComSpec environment variable
ifdef ComSpec
ifndef OSTYPE
OSTYPE = win
endif
EXE_EXT = .exe
else
EXE_EXT =
endif

ifneq ($(OSTYPE),beos)
INSTALL_PATH= $(INSTALL_ROOT)/usr/bin
else
INSTALL_PATH= $(HOME)/config/bin
endif

# BeOS doesn't have libm (it's all in libroot)
ifneq ($(OSTYPE),beos)
LIBS= -lm
else
# BeOS: without this it wants to use bcopy() :^)
CFLAGS+= -DHAVE_MEMCPY
endif

ifeq ($(OSTYPE),win)
# gnu windows resource compiler
WINDRES = windres
endif

OBJS=	mp3gain.o apetag.o id3tag.o gain_analysis.o rg_error.o \
	mpglibDBL/common.o mpglibDBL/dct64_i386.o \
	mpglibDBL/decode_i386.o mpglibDBL/interface.o \
	mpglibDBL/layer3.o mpglibDBL/tabinit.o
ifeq ($(OSTYPE),win)
RC_OBJ = VerInfo.o
endif

all: mp3gain

$(RC_OBJ):
	$(WINDRES) $(RC_OBJ:.o=.rc) $(RC_OBJ)

mp3gain: $(RC_OBJ) $(OBJS)
	$(CC) $(LDFLAGS) -o mp3gain $(OBJS) $(RC_OBJ) $(LIBS)
ifeq ($(OSTYPE),beos)
	mimeset -f mp3gain$(EXE_EXT)
endif

install: mp3gain
ifneq ($(OSTYPE),win)
	cp -p mp3gain$(EXE_EXT) "$(INSTALL_PATH)"
ifeq ($(OSTYPE),beos)
	mimeset -f "$(INSTALL_PATH)/mp3gain$(EXE_EXT)"
endif
else
	@echo install target is not implemented on windows
endif

uninstall:
ifneq ($(OSTYPE),win)
	-rm -f "$(INSTALL_PATH)/mp3gain$(EXE_EXT)"
else
	@echo uninstall target is not implemented on windows
endif

clean:
	-rm -rf mp3gain$(EXE_EXT) mp3gain.zip $(OBJS) $(RC_OBJ)

dist:   clean
ifneq ($(OSTYPE),win)
ifneq ($(OSTYPE),beos)
	zip -r mp3gain.zip * -x "CVS/*" "*/CVS/*"
endif
else
	@echo dist target is not implemented on windows and beos
endif

=== debian/changelog ===
mp3gain (1.5.2) unstable; urgency=low

  * Initial Release.

 -- Paolo Iommarini <sakya_tg@yahoo.it>  Sun, 06 Feb 2011 11:41:41 +0000

=== debian/control ===
Source: mp3gain
Section: user/desktop
Priority: extra
Maintainer: Paolo Iommarini <sakya_tg@yahoo.it>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.3
Homepage: http://mp3gain.sourceforge.net/

Package: mp3gain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MP3Gain analyzes and adjusts mp3 files so that they have the same volume.
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
 uvt/3XmhIRJGZ5TxASoZFVQQVFBHxIgLoysXIYKIG0HBB5Is3BkMCG40C1cG
 F4ogWUhiEkEZIkTEkIAZJTE4E5J4zczc+z/6VVV+51T1nT9jJt4/TnTSTN3q
 7r8f3zn1na/OqR5+28mT5LuOtp8+R33fnxpVo49Za45ba4uqLENROG9d0TVt
 0wcf+hhDiJE8s+mZyXvfeyLuI2G/6/oQfTDG9caa3vd9F0LorcUzrPW4FTeH
 3lnX4bhnQx0zd9bYDvd3RHrcWMMtnt8Zy20MsY0xtnhRS2way7zCdbUrq94V
 FTk8lNqmcYcPHfrRiTcdv8VZQ77vCEaQc5YYV3tcEwW1D9qCbjAlwqSAlvZ8
 pCiXipEe16MBVIwAJyCoJYoNjK1xro5MK4q0JAEUaQFnLGDEAu+bk/TM2uOe
 Bd6F5pb4fWmMKfCsAm+cG+47x31Ps6r88rveceMtz21vhzN/fSIsVysBqeCx
 RbxE9iM63CsbBznGQUgdiYVBbJXfiKP0nuW8nqOQr5Hb5Y/0IT1Trtfneb2W
 9Rk9jnsZERx3LMcYKQPEGM1+MpmEAsMYwAkHBxYn3viGL+zs7NCvH/xtwFCx
 sRgogcn5NYYSbjkHdPhjKIGzegVzHI4Ns4DATWzyLWq4GgZQrPfiDs5uYb0/
 qLGsQAW8Uis1NQD0EQNAK2N7DLOfTaegKrNbLpbHZtPJ8d8//EcZfy7LUrHr
 q8UnI7T2BZBC/tkS7Rkm4EwaLUq282Cygo8yQqCNF2/iVCf0wg8tLhOO10It
 +KHGsXB8lY7RZ85bYxq9HrHXtV2/MqsArNFVZXHDYr6YXri4g+CyCTzCKYo/
 xiDb93rq7zIU/mATmCo5dQ08ZYODUiWmHmAyWMQEYgB9gzsaTwEgEQfMS9i0
 ZOE5c+K+8D5G9BILPIcXECO0kuthfmMkoEOA8c6raODBjoI/WLctNU0bdWDF
 69dFLm/vqfg0rLieqPw8IvMBT+03cfljuKYElKgGDM2vtT41Fv5m71KdvIqg
 lcZxAaALGLuLm3exv4tXa09iSJRAxjUaxDCAqYERDRvuoHFKIRFD7MGUEKZN
 28EOn8YbXfX9nsrPQp1+gdteo4+k4pORzNs7Xt5YBJqDz5YG3l8GXOVQPK7g
 swED+AxKFCbOxQCiSy0mQ1R9sI/rWcDXWcEAkhDE4AacBz5FqDYZ54pxByUS
 XZSA5THI/T7s4rX1zfD4n2D+F11o7jQxPGQiH97z/hXBi5Zn8JnPA3BtChSg
 drC/g2u1xznpYZSMTBw8XwNWA2ydPh/SDKbgsIkIYFUHh8iuus4rJgxRFKWO
 f4ERr8dI/NCTOYbz14O8X3Veye9woVPw8VKQXooF2QAA+qAh73IrBzlV2Uwx
 A6ljaHocGWemeOIuFFAMWOL8SpwgSMUpwOhlw0SbZHjtja73vuowmeKkGKR6
 0XzNMf+kp+rWoBfZB3vjf8Pcfgez6cOlsSJV1hEkDUZbDGNJxhZki5Ksq9CP
 tLlyTLacUFFNyY3QqgmVoy3sz6hAczhfVDM97+yE2p2nHn3s/ru+8fTjpx8C
 +DaDB+5e5D1e5qyE7ciRIx8CjT6yvb3dq9cMbDjHsbvLRH+aI78V98wxVB+I
 XHwumHDvyNCzcKiDY00BAwo8BccW3DMjCuijGaOfkrcz9FvoD4C8W9SbQ9Sa
 g+DYQUTlQUT2QVrFA7RE8+YAucPHrnvLyVOfubj99/t3njnztyuBLwrJElQO
 ycDSUiRaL5C/oxjtBwOZdwfqfoWfH4WOnXJdc5sLvIUbPgohpCIxQ/hk8CAB
 DJYEhgE0htgDPE3QZtDQGQR/Rm3Yogat9lu06ma0ardo2cxoUU9pvprS9s6Y
 zj4/ojPbRRmO3Xy7gO+67oqe36MQZt1CMhvld49Z9Eh04wc6E59FxL23CHqr
 YKvy1NSA2qANeINWEsP7UUbCVhTR2I20jwWMwj658aVm82/a4148g9nKoKep
 sYPyyTMPHn2PeD7jeskNZGeMgOYx4lgbn+LQ3mG5+ro30zOdEwl1Hw8j8zpE
 4eNI9O6ZKN8ZU7RMCBQr3TfwPpsJDBnDLhwXM+JiSqba0n1T5mNp5RSG4loY
 acRoNLKZjurw8dhL1riPDQmnFQN6zWdYFSa230K+8Qj8cyqw+wR4/wj7/gcj
 0//0gKF/jDE3wGMHukFLUjMpuWBfkPETHQlTTBSggjQS6CnYxesp3HJSItN+
 8JrmqXh5Q/vdHENQYxqq1PK9/d0IoLuNr+7sR92ddl5cOLQFxUX0ANCn/kn2
 S+czMyW9y+mTpJQ/P07unpvAsFEGLB52ClxVCwA5ZXS4L+rMqcKqucuQcNX7
 NwDgNeXP+hyGzIbLNEm1t7kdTE+dmdlZBAiZCOiXN1C496hy2qBpD46z9FAX
 2TdQIWlCKwM1Mgh0JFeJakioOAr9MBrBJa+vJ7A97d8ACRRJYfMkY/MsEfNj
 PJyhOY11JXiGlzKMaAHCj5UmGpygSgwT5XjEvpdABWVCDnLDKVhZwzVVBFoy
 yMwv7+NLCXAyYLWZAVLurSVlQ5qQDDCaGrRwYxDwovXidXZJcVg8Lx7PvQax
 eF69Lx6f4DHVpaAPMCpP0Bztv4PfdASgt2EviNOTzJoBCl7yGutG8NlIg5Fd
 aqaQEUBMiDGoT01RJsMKUMPJDA2QDl5GecpWZx3c7ymVNOL5/kXBrzaKASRI
 LFVUKu9MjgWpaQfwko/UBhWcAYWicNgmT8sElrw9Vp6Lx5XznPjOA9+liBC+
 I3vH1Hxlz+8ZsYEBWnCg8B5mu1xKedqrlEgMWIE2QUB5LpNum6TfQdMJnFOe
 D80mdUoFKECnxDWNcXhxz6/TZxMKDVRZOzcEcLNeiCA5w4RQqWfF8zoK4m00
 kgkse5+50jp0T2lCscZ389Ke1221+Qhkrg+1bcwj0uQiRPN5JE+og8YJTPa6
 kZkzpwNJZTjPCzGpi0xOWrrn+p/pP4B/GUEsGUjmOWfuhzX6LHObQ2GCAY8l
 WUuehzHK80niuxbL4vUqqw0eHcVYeD2Y/YPHoNebyGj2dp0LETvwfw28VlHI
 8wP7MnneSQotCuOywqR0QhliheM+z0sxidq+wW/m/fURqHM1Zdb4vxxWyKQE
 RAbm+z3Pj7LXR1lhEt85SjLmNFvVQA4bghdPCv+7TWQUYHPtmtdzWFRJRkRq
 UwEvRfaOLSbBIDntdDnI5rUtzqs+Ma29idIwp7U38huDf3kqFHXNRupQiV6T
 F1hXGbiClx4ln6xX5Fl1rD2p11NOk/TdZaUxa8tFm271ZiqUVxCWa+faPCKD
 AbrkIXVPymVsWtfyWWkk5kOfZ9a4D5m8upsYIMsfiyyjcQjgmBeZZMFJljx8
 MQ5KnxCTLJoEPE1+w7ou/xeevywONlChOgdrHCRU+J/XaHazIbvWuJCyyIEy
 qSbWCYrMVfN8vek8AJcPfA95KV3W7xdr9JFRWCCPD5J1N5IWxBygHNc8/7+j
 zeUFzTKDlHpA1vTruLaKltVoMamqIKt7mlInwb+qnn9BIrdRPZAotMt7RNZR
 HEZgmZf5luOqakZFTbKOmlTmFfK8ymg9338QJ4/vDmudEtSD17MBK9QMq6Z5
 7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
 t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
 n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
 vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKzLy4c1KfxlnfKl
 1ij/bwZIfYeMeClfLaH/vefQ6SoE7Xn+mgU/jIAHjVbOWUwJ3su3WPm8mQrX
 6Luujdcq+LQ26govgVwULnoYYMUK7MhyS9tKXnftglcDikJLqLYsCuq9fP/D
 Pys7Jup3s2t8k2xU1oO6qqoYBsj/5QjyLQpDcM2D1y80ktsjBxXuh8K5UBRF
 zKt0r4rN6X9sEDMgP9aVZMPwfzFeHdu/BBgATwIODZj1b7UAAAAASUVORK5C
 YII=

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := mp3gain
builddir:
	#mkdir -p builddir

builddir/Makefile: builddir

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
#	dh_strip --dbg-package=appname-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mp3gain 1.5.2-1

=== debian/changelog ===
mp3gain (1.5.2-1) unstable; urgency=low

  * Fixed copyright and control.

 -- Paolo Iommarini <sakya_tg@yahoo.it>  Sun, 06 Feb 2011 18:38:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mp3gain
-Section: user/desktop
+Section: sound
 Priority: extra
 Maintainer: Paolo Iommarini <sakya_tg@yahoo.it>
 Build-Depends: debhelper (>= 5)
@@ -10,6 +10,15 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: MP3Gain analyzes and adjusts mp3 files so that they have the same volume.
+ MP3Gain does not just do peak normalization, as many normalizers do. Instead,
+ it does some statistical analysis (using the replaygain algorithm) to
+ determine how loud the file actually sounds to the human ear.
+ .
+ MP3Gain can adjust the volume in a completely lossless way by modifying the
+ mp3 file directly, without decoding and re-encoding. This works with all mp3
+ players, i.e. no support for a special tag is required.
+ .
+ MP3Gain can also add replaygain compatible tags to mp3 files.
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq

## mp3gain 1.5.2-r2

=== debian/changelog ===
mp3gain (1.5.2-r2-2) unstable; urgency=low

  [ Simon McVittie ]
  * Specifically enable pristine-tar when using git-buildpackage for this
    package

  [ Fabrizio Regalli ]
  * Fixed Vcs-Browser field in d/control.
  * Refreshed all previous patches.
  * Added 12_force_update.diff patch. (Closes: #587466)
  * Update d/copyright to latest DEP5 revision.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Thu, 10 Nov 2011 16:10:48 +0100

mp3gain (1.5.2-r2-1) unstable; urgency=low

  [ Fabrizio Regalli ]
  * New upstream version.
  * Switch to quilt 3.0 format.
  * New maintainer. (Closes: #619847)
  * Switch d/compat to 8.
  * Update debhelper (>= 8).
  * Removed dpatch from dependecies.
  * Bump to Standards-Version: 3.9.2.
  * Added Vcs-*
  * Removed dpatch.make from d/rules.
  * Switch to DEP5 license format.
  * Added txxx patch for extra ID3v2 replaygain tags. (Closes: #587465)

  [ Simon McVittie ]
  * Correctly credit myself, not Stefan, for my TXXX patch :-)
  * Change machine-readable license from LGPL-1 to LGPL-2+ to match the text
    of the license grant (Fabrizio gave permission for this in an email)
  * Add myself to Uploaders
  * Reinstate most of Stefan's patches, adjusted to apply to mp3gain.c
    despite DOS line endings
  * Override installation path when running make, not by patching Makefile

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Jul 2011 21:45:45 +0100

mp3gain (1.5.1-4) unstable; urgency=low

  * Fix various potential segfaults found by cppcheck.
  * Backport a format string error fix from 1.5.2.
  * Bump standards version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sat, 28 Aug 2010 20:20:19 +0200

mp3gain (1.5.1-3) unstable; urgency=low

  * Remove trailing spaces when converting ID3v1 tags to ID3v2.4. Thanks to
    Alexander Zangerl for the patch. Closes: #564308
  * Bump standards version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sun, 10 Jan 2010 08:28:37 +0100

mp3gain (1.5.1-2) unstable; urgency=low

  * Add new options in 1.5.x and some clarifications to the man page. Thanks
    to Joris van Rantwijk for the patch. Closes: #540622
  * Also mention the possiblity to use ID3v2 tags in the package description.

 -- Stefan Fritsch <sf@debian.org>  Sun, 09 Aug 2009 11:51:47 +0200

mp3gain (1.5.1-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Fri, 24 Jul 2009 13:17:40 +0200

=== debian/control ===
Source: mp3gain
Section: sound
Priority: optional
Maintainer: Fabrizio Regalli <fabreg@fabreg.it>
Uploaders: Simon McVittie <smcv@debian.org>
Build-Depends: debhelper (>= 8), docbook-to-man
Homepage: http://mp3gain.sourceforge.net/
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/collab-maint/mp3gain.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mp3gain.git

Package: mp3gain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossless mp3 normalizer with statistical analysis
 MP3Gain analyzes and adjusts mp3 files so that they have the same volume.
 MP3Gain does not just do peak normalization, as many normalizers do. Instead,
 it does some statistical analysis (using the replaygain algorithm) to
 determine how loud the file actually sounds to the human ear.
 .
 MP3Gain can adjust the volume in a completely lossless way by modifying the
 mp3 file directly, without decoding and re-encoding. This works with all mp3
 players, i.e. no support for a special tag is required.
 .
 MP3Gain can also add replaygain compatible (APE) or ID3v2 gain tags to
 mp3 files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g
export CFLAGS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif

make_vars = \
	INSTALL_PATH='$$(DESTDIR)/usr/bin'

build: build-stamp
build-arch: build-stamp
build-indep: build

build-stamp:
	dh_testdir

	$(MAKE)
	docbook-to-man  debian/mp3gain.sgml > debian/mp3gain.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	rm -f debian/mp3gain.1

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install $(make_vars) DESTDIR=$(CURDIR)/debian/mp3gain


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs debian/README.method
	dh_installman debian/mp3gain.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
#opts="uversionmangle=s/_/./g" 
http://sf.net/mp3gain/mp3gain-([0-9].*)\-src.zip

## mp3gain 1.6.2

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Mike Oliphant (oliphant@gtk.org)
 #
 
-CC = gcc
+CC?= gcc
 
 CFLAGS+= -Wall -DHAVE_MEMCPY
 
@@ -19,7 +19,7 @@
 endif
 
 ifneq ($(OSTYPE),beos)
-INSTALL_PATH= $(INSTALL_ROOT)/usr/bin
+INSTALL_PATH= /usr/local/bin
 else
 INSTALL_PATH= $(HOME)/config/bin
 endif
@@ -32,22 +32,23 @@
 CFLAGS+= -DHAVE_MEMCPY
 endif
 
+# Could ask pkg-config for libmpg123 flags/libs.
+LIBS+= -lmpg123
+
 ifeq ($(OSTYPE),win)
 # gnu windows resource compiler
 WINDRES = windres
 endif
 
-OBJS=	mp3gain.o apetag.o id3tag.o gain_analysis.o rg_error.o \
-	mpglibDBL/common.o mpglibDBL/dct64_i386.o \
-	mpglibDBL/decode_i386.o mpglibDBL/interface.o \
-	mpglibDBL/layer3.o mpglibDBL/tabinit.o
+OBJS=	mp3gain.o apetag.o id3tag.o gain_analysis.o rg_error.o
+
 ifeq ($(OSTYPE),win)
 RC_OBJ = VerInfo.o
 endif
 
 all: mp3gain
 
-$(RC_OBJ):
+$(RC_OBJ): 
 	$(WINDRES) $(RC_OBJ:.o=.rc) $(RC_OBJ)
 
 mp3gain: $(RC_OBJ) $(OBJS)
@@ -73,7 +74,7 @@
 	@echo uninstall target is not implemented on windows
 endif
 
-clean:
+clean: 
 	-rm -rf mp3gain$(EXE_EXT) mp3gain.zip $(OBJS) $(RC_OBJ)
 
 dist:   clean

=== debian/changelog ===
mp3gain (1.6.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #973274)

  [ Stefan Fritsch ]
  * CVE-2018-10777, CVE-2019-18359: Fix crashes with invalid ape tags.
    Patch from SUSE.
    Closes: #973932
  * No longer build with ASAN, it's not recommended as a hardening measure.
    Closes: #974890

 -- Stefan Fritsch <sf@debian.org>  Tue, 29 Dec 2020 15:08:09 +0100

mp3gain (1.6.2-1) unstable; urgency=high

  [ Scott Hardin ]
  * New upstream release.
  * Remove all patches. They have been merged in to upstream.
  * Bump standards version to 3.9.8 (no changes).
  * Bump debhelper compatibility level to 10.
  * Update debhelper (>= 10).
  * Updated Vcs-* fields.
  * Add hardening build option to satisfy lintian.
  * Add new build dependency to reflect departure from forked
    version of mpg123.
  * Update copyrights to reflect departure from forked mpg123.

  [ Stefan Fritsch ]
  * Add myself as uploader.

 -- Stefan Fritsch <sf@debian.org>  Sun, 11 Oct 2020 17:40:06 +0200

mp3gain (1.5.2-r2-6) unstable; urgency=high

  * Add various patches from Daniel Kobras' mpg123 packaging to fix
    buffer overflows in the embedded copy/fork of mpglib
    - CVE-2003-0577 (originally #201698 in mpg123)
    - CVE-2004-0805 (originally #270542 in mpg123)
    - CVE-2004-0991
    - CVE-2006-1655 (originally #361863 in mpg123)
    (Closes: #740268, hopefully)
  * debian/patches/*.diff: adjust so gbp-pq can import all of them
  * debian/patches/*.diff: update Sourceforge bug URLs to new layout
    (but keep the old versions for posterity)

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Mar 2014 09:24:09 +0000

mp3gain (1.5.2-r2-5) unstable; urgency=high

  * Only build with -fsanitize=address on Linux with amd64, i386, armel,
    armhf, powerpc CPUs: it isn't functional everywhere

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Mar 2014 22:17:39 +0000

mp3gain (1.5.2-r2-4) unstable; urgency=high

  * Build with -fsanitize=address to catch stack buffer overflows
    (mitigates: #740268)

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Mar 2014 09:42:23 +0000

mp3gain (1.5.2-r2-3) unstable; urgency=medium

  * Update debian/watch to a version by Bart Martens to deal with the upstream
    file-naming convention
  * Use dpkg-recommended build flags
  * 13_constant_expr.diff: use constant expressions to size arrays
  * Standards-Version: 3.9.5 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Sat, 25 Jan 2014 13:03:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mp3gain
 Section: sound
 Priority: optional
-Maintainer: Fabrizio Regalli <fabreg@fabreg.it>
-Uploaders: Simon McVittie <smcv@debian.org>
-Build-Depends: debhelper (>= 8), docbook-to-man
+Maintainer: Scott Hardin <scottnhardin@gmail.com>
+Uploaders: Stefan Fritsch <sf@debian.org>
+Build-Depends: debhelper (>= 10), docbook-to-man, libmpg123-dev
 Homepage: http://mp3gain.sourceforge.net/
-Standards-Version: 3.9.2
-Vcs-Git: git://anonscm.debian.org/collab-maint/mp3gain.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mp3gain.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/snhardin-guest/mp3gain.git
+Vcs-Browser: https://salsa.debian.org/snhardin-guest/mp3gain
 
 Package: mp3gain
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS=1
 
-CFLAGS = -Wall -g
-export CFLAGS
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O3
-endif
+include /usr/share/dpkg/default.mk
 
 make_vars = \
 	INSTALL_PATH='$$(DESTDIR)/usr/bin'
@@ -24,7 +19,7 @@
 build-stamp:
 	dh_testdir
 
-	$(MAKE)
+	dh_auto_build
 	docbook-to-man  debian/mp3gain.sgml > debian/mp3gain.1
 
 	touch build-stamp

=== debian/watch ===
version=4
opts="uversionmangle=s/_/\./g" \
https://sf.net/mp3gain/ mp3gain-(\d+_\d+_\d+)-src\.zip debian uupdate
